Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.gui
Class PanelWindowContainer

    java.lang.Object
      org.gjt.sp.jedit.gui.PanelWindowContainer

All Implemented Interfaces:
  DockableWindowContainer

public class PanelWindowContainer
extends java.lang.Object
implements DockableWindowContainer

A container for dockable windows. This class should never be used directly.

Since:
  jEdit 4.0pre1
Version:
  $Id: PanelWindowContainer.java,v 1.76 2004/03/19 22:42:21 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary
`static class` | `PanelWindowContainer.RotatedTextIcon`

Constructor Summary
`PanelWindowContainer(DockableWindowManager wm, java.lang.String position, int dimension)`

Method Summary
`java.lang.String` | `getCurrent()` Returns the name of the dockable in this container.
`int` | `getDimension()` Returns the width or height (depending on position) of the dockable window container.
`java.lang.String[]` | `getDockables()`
`boolean` | `isVisible(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` | `register(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` | `remove(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` | `show(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`
`void` | `showMostRecent()`
`void` | `unregister(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelWindowContainer

    public PanelWindowContainer(DockableWindowManager wm,
                                java.lang.String position,
                                int dimension)

Method Detail

### register

    public void register(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

  Specified by:
    `register` in interface `DockableWindowContainer`

### unregister

    public void unregister(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

  Specified by:
    `unregister` in interface `DockableWindowContainer`

### remove

    public void remove(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

  Specified by:
    `remove` in interface `DockableWindowContainer`

### showMostRecent

    public void showMostRecent()

### show

    public void show(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

  Specified by:
    `show` in interface `DockableWindowContainer`

### isVisible

    public boolean isVisible(org.gjt.sp.jedit.gui.DockableWindowManager.Entry entry)

  Specified by:
    `isVisible` in interface `DockableWindowContainer`

### getCurrent

    public java.lang.String getCurrent()

  Returns the name of the dockable in this container.

  Since:
    jEdit 4.2pre1

### getDimension

    public int getDimension()

  Returns the width or height (depending on position) of the dockable window container.

  Since:
    jEdit 4.2pre1

### getDockables

    public java.lang.String[] getDockables()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD